package com.chenyang.nse.bussiness.webtools.entity.vo;

public class ViewVO {
   private String owner;
   private String viewname;
   private String text;
   String comments;

   public String getOwner() {
      return this.owner;
   }

   public String getViewname() {
      return this.viewname;
   }

   public String getText() {
      return this.text;
   }

   public String getComments() {
      return this.comments;
   }

   public void setOwner(final String owner) {
      this.owner = owner;
   }

   public void setViewname(final String viewname) {
      this.viewname = viewname;
   }

   public void setText(final String text) {
      this.text = text;
   }

   public void setComments(final String comments) {
      this.comments = comments;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ViewVO)) {
         return false;
      } else {
         ViewVO other = (ViewVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$owner = this.getOwner();
            Object other$owner = other.getOwner();
            if (this$owner == null) {
               if (other$owner != null) {
                  return false;
               }
            } else if (!this$owner.equals(other$owner)) {
               return false;
            }

            Object this$viewname = this.getViewname();
            Object other$viewname = other.getViewname();
            if (this$viewname == null) {
               if (other$viewname != null) {
                  return false;
               }
            } else if (!this$viewname.equals(other$viewname)) {
               return false;
            }

            Object this$text = this.getText();
            Object other$text = other.getText();
            if (this$text == null) {
               if (other$text != null) {
                  return false;
               }
            } else if (!this$text.equals(other$text)) {
               return false;
            }

            Object this$comments = this.getComments();
            Object other$comments = other.getComments();
            if (this$comments == null) {
               if (other$comments != null) {
                  return false;
               }
            } else if (!this$comments.equals(other$comments)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof ViewVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $owner = this.getOwner();
      result = result * 59 + ($owner == null ? 43 : $owner.hashCode());
      Object $viewname = this.getViewname();
      result = result * 59 + ($viewname == null ? 43 : $viewname.hashCode());
      Object $text = this.getText();
      result = result * 59 + ($text == null ? 43 : $text.hashCode());
      Object $comments = this.getComments();
      result = result * 59 + ($comments == null ? 43 : $comments.hashCode());
      return result;
   }

   public String toString() {
      return "ViewVO(owner=" + this.getOwner() + ", viewname=" + this.getViewname() + ", text=" + this.getText() + ", comments=" + this.getComments() + ")";
   }
}
